#pragma once
#include "Common.h"
#include "Python.h"

class PyTexture
{
private:
    sf::Texture texture;
    std::string source;
    int sheet_width, sheet_height;
public:
    int sprite_width, sprite_height; // just use them read only, OK?
    PyTexture(std::string filename, int sprite_w, int sprite_h);
    sf::Sprite sprite(int index, sf::Vector2f pos = sf::Vector2f(0, 0), sf::Vector2f s = sf::Vector2f(1.0, 1.0));
};
